2019-10-23 13:59 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000182FSSCPOpenGLpublic2007-03-23 04:18
Reportermarajin 
Assigned Totaylor 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6 
Summary0000182: High Poly Fenris has missing sections in OpenGL
DescriptionUsing Goober5000's 26th April 2004 build in OpenGL.

Using Latest MediaVP, and FSPort2.3 (All VPs)

System spec:

AMD Athlon3400+
1Gig (2x512MB) Corsaire TwinX PC3200 DDR RAM
Sapphire Radeon9800XT (256MB)
Running Windows XP Pro (All updates installed) and latest Catalyst drivers.

In the Tech room and in game sections of the Fenris will be invisible.
This does not happen in Direct3D mode.

It also occurs with the Port files removed.

It does not occur with the default tables/Fenris model.

Screenshots:

http://marajin.w-ww.org/transparentfenris1.jpg
http://marajin.w-ww.org/transparentfenris2.jpg
http://marajin.w-ww.org/transparentfenris3.jpg
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000861

taylor (administrator)

Another thought on why this happens: non-DevIL/32-bit build without a PCX fallback for textures. That model used TGAs and a JPG. The 04/26 build didn't support 32-bit textures in OpenGL but all future ones (with DevIL support) will.

marajin: try with the 04/05 build and see if it still happens. If not then this is just a build bug and would be fixed with a newer build that enabled DevIL.

~0000863

marajin (reporter)

WHICH 04/05 build? Yours?

~0000864

marajin (reporter)

Ah yeah, It appears to work in your 04/05 build. I guess I'll wait for the next build that can do 32bit textures. I seem to get, for want of a better word, cleaner fonts in OpenGL vs D3D

~0000929

taylor (administrator)

All new builds should have DevIL including 3.6. The new media VPs that have the fenris model should offer PCX/DDS versions of the textures. Beyond that it's the modelers responsibility to offer PCX or DDS versions of all model textures.

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2004-04-27 18:38 marajin New Issue
2004-04-29 23:58 Goober5000 Priority normal => immediate
2004-04-30 08:51 taylor Note Added: 0000861
2004-04-30 08:51 taylor Status new => assigned
2004-04-30 08:51 taylor Assigned To => taylor
2004-04-30 10:25 marajin Note Added: 0000863
2004-04-30 10:39 marajin Note Added: 0000864
2004-05-10 11:27 taylor Status assigned => resolved
2004-05-10 11:27 taylor Resolution open => fixed
2004-05-10 11:27 taylor Note Added: 0000929
2007-03-23 04:18 taylor Status resolved => closed
2007-03-23 04:18 taylor Fixed in Version => 3.6
+Issue History